* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background: transparent;
    color: #7889A7;
    font-family: 'Kalinga', sans-serif;
}

html {
    background-color: #0F172A;

}

#content {
    margin-left: 50%;
    background: transparent;
    margin-right: 10%;
}
.hiperenlace{
    color: #E2E8F0;
    text-decoration: none;
}
.hiperenlace:hover{
    color: #5ce6d1;
}


#static {
    position: fixed;
    left: 25%;
    background: transparent;
    transform: translate(-50%, -50%);
    /* Además, puedes agregar otros estilos como tamaño, fondo, etc. */
    width: 50%;
    padding: 3%;
    height: 100vh;
    top: 50vh;
    display: flex;
    flex-direction: column;
}
#static>*{
    margin: 2rem;
}
#static h1{
    color: white;
    margin-bottom: 1rem;
}
#static>ul>li{
    display: flex;
    flex-direction: row;
    align-items: center;
    cursor: pointer;
    margin: 1rem;
}
#static>ul>li:hover a{
    color: white;
    transition:color 1s
}
.contacto a{
    text-decoration: none;
}
.contacto a i:hover{
    cursor: pointer;
    color: #C5D1EC;
}
.contacto a i{
    margin: 1rem;
    font-size: 2rem;
}
#static .contacto{
margin-top: auto;
}
#content .contacto{
    display: none;
}
.line{
    border: 1px solid #7889A7;
    width: 2rem;
    height: 1px;
    margin-right: 0.7rem;
    transition: width 0.4s ease;
}
.linea-chica{
    border:1px solid #7889A7;
    width: 2rem;

}
.linea-grande{
    border:1px solid white;
    width: 3rem;
}
.letra-chica{
    color:#7889A7;
}
.letra-grande{
    color:white;
}
  
  
  
  #static>ul>li:hover .line {
    border: 1px solid white; /* Cambia el color del borde cuando el cursor está sobre el elemento <li> */
    width: 3rem; /* Cambia el ancho de la línea cuando el cursor está sobre el elemento <li> */
  }
ul li:hover .line {
    width: 3rem; /* Ancho al 100% cuando se pasa el cursor por encima */
    transition: width 0.5s ease;
}
ul li a {
    text-decoration: none;
}
#curriculum a{
    text-decoration: none;
    margin-right: 1rem;
}
#curriculum >div{
    display: flex;
    justify-content: center;
}
#curriculum>div:hover a,#curriculum>div:hover i{
    color: #5ce6d1;
}
#curriculum > div i {
    transform: translateY(0); /* Posición inicial */
    transition: transform 0.5s ease; /* Transición para el ícono en su estado normal */
}

#curriculum > div:hover i{
    animation: bounce 1s infinite;
}

@keyframes bounce {
    0%, 100% {
        transform: translateY(0); /* Posición inicial y final */
    }
    50% {
        transform: translateY(10px); /* Mitad de la animación, movimiento hacia abajo */
    }
}


#content{
    font-size: 16pt;
}
section{
    padding-top: 6rem;
}
section>h4{
    display: none;
    color: #E2E8F0;
    margin-bottom: 0.7rem;
}
#tecnologias>h4{
    width: 100%;
}
#tecnologias img{
    filter: grayscale(100%);
    transition: all 0.5s;
}
#tecnologias div.borde{
    transition: all 0.5s;
}
#tecnologias .borde:hover img{
    filter: grayscale(0%);
}
#presentacion>div>p{
    margin: 1rem;
}
#tecnologias{
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    overflow: hidden;

}
#tecnologias .borde{
    width: 5rem;
    border: 4px solid #0F172A;
    border-radius: 5rem ;
    z-index: 5;
    height: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #7889A7;
    margin: 1rem;
    cursor: pointer;
}
#tecnologias .borde:hover{
    background-color: white;
    border: 3px solid #5ce6d1;
}
#tecnologias img{
   max-width: 80%;
}
.project-wrapper{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 2rem;
    
}
.project-wrapper>a{
    display: flex;
    flex-direction: row;
    width: 90%;
    padding: 1rem;
    border-radius: 0.7rem;
    transition: opacity 0.5s;
    
}
.enfocado{
    background-color: #162649;
    
    border-top: 1px solid rgba(230, 229, 229, 0.5); /* Borde superior más claro */
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
}
.desenfocado {
    
    opacity: 0.4; 
}

.enfoca-titulo{
    color: #5ce6d1 !important;
}
.project-wrapper img{
    max-width: 28%;
    margin-bottom: auto;

    
}
.project-wrapper a{
    text-decoration: none;
    font-size: 12pt;
}
.project-wrapper>a>div{
    padding: 0 1rem;
}
.project-wrapper a h3{
    color: #a7adb8;
    margin-bottom: 0.3rem;
}
#herramientas{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
}
.herramienta{
    background-color: #2e3f63;
    border-top: 1px solid rgba(230, 229, 229, 0.5); /* Borde superior más claro */
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
    width: auto;
    height: 4rem;
    margin: 1rem;
    display: flex;
    justify-content: center;
    border-radius: 0.2rem;
    padding: 1rem;
}
.herramienta img{
    width: 100%;
}
@media (max-width: 968px) {
    #static{
        display: none;
    }
    
    #content{
        margin-left: 1rem;
        margin-right: 1rem;
    }
    section:first-child{
        padding-top: 3rem;
    }
    section>h4{
        display: block;
    }
    #tecnologias .borde{
        margin: 1rem 0;
    }
    #content div.contacto{
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 3rem;
    }
    .project-wrapper a{
        width: 90%;
    }
    .project-wrapper img{
        max-width: 35%;  
    }
  }